package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel
public class MaterialFunctionListDTO {
   @ApiModelProperty("货品id")
   private @NotNull(
   message = "货品id不能为空!"
) Long materialId;
   @ApiModelProperty("类型(1初加工方法，2切配方法)")
   private Integer type;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getType() {
      return this.type;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

}
